Subject: bug#55275: 29.0.50; Gnus' nnvirtual-retrieve-headers shouldn't force usage of the cache

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 06 May 2022 14:17:46 +0200

Eric Abrahamsen <[email-masked]> writes:

> All the above is true, except I don't understand why we want to check
> the cache. This code is ancient and I'm only medium-hopeful Lars
> remembers the reasoning here, but on the face of it I don't know why we
> need to force a check of the cache. It seems like we could simply remove
> that, and the cache will still be checked iff the user has set
> `gnus-use-cache' to t.

I have no recollection of that code.  :-/

But, yes, I think removing that binding would be the right thing to do.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no